Bug 433014 - nethack-3.4.3-16.fc7@x86_64 install fails
nethack-3.4.3-16.fc7@x86_64 install fails
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nethack (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-15 13:01 EST by john bray
Modified: 2016-09-19 22:38 EDT (History)
1 user (show)

See Also:
Fixed In Version: 3.4.3-17.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-22 18:44:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description john bray 2008-02-15 13:01:26 EST
Description of problem:
nethack is confused about x11 fonts.  install generates:
Output from nethack-3.4.3-16.fc7@x86_64:
ln: creating symbolic link `/etc/X11/fontpath.d/nethack': No such file or directory
error: %post(nethack-3.4.3-16.fc7.x86_64) scriptlet failed, exit status 1

Version-Release number of selected component (if applicable):
nethack-3.4.3-16.fc7@x86_64

How reproducible:
seemingly easily

Steps to Reproduce:
1. use (at least) smart to install it.
2.
3.
  
Actual results:
as above

Expected results:
clean install

Additional info:
Comment 1 Luke Macken 2008-02-15 13:55:23 EST
Ah, apparently the fontpath.d doesn't exist in F7.  I committed what I believe
to be a fix to cvs, and built it in koji.

Could you please try this RPM and see if it works?

http://koji.fedoraproject.org/koji/getfile?taskID=430244&name=nethack-3.4.3-17.fc7.x86_64.rpm
Comment 2 john bray 2008-02-15 19:52:17 EST
downloaded it and got this:
[root@cheetah forRoot]# rpm -Uvh nethack-3.4.3-17.fc7.x86_64.rpm
Preparing...                ########################################### [100%]
   1:nethack                ########################################### [100%]
rm: cannot remove `/etc/X11/fontpath.d/nethack': No such file or directory
[root@cheetah forRoot]# 
Comment 3 Luke Macken 2008-02-15 21:10:28 EST
I think that may be from the %postun script of the previous nethack package. 
Can you try uninstalling and re-installing that package and see if it complains
again? 
Comment 4 Luke Macken 2008-04-18 00:01:27 EDT
Fixed in nethack-3.4.3-17.fc7
https://admin.fedoraproject.org/updates/F7/FEDORA-2008-3007
Comment 5 Fedora Update System 2008-04-22 18:44:26 EDT
nethack-3.4.3-17.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.